Diplomacy+Pre-Battle Orders & Deployment (Diplo v4.2+PBOD v0.96.3) for 1.143+WSE

Caba`drin

Count
M&BWBWF&SNWVC
Best answers
0
Diplomacy v4.2 merged with Pre-Battle Orders & Deployment v0.96.3
for Warband version 1.143 and Warband Script Enhancer 2.6.2+

Now With Pre-Battle Positioning - a real Deployment Phase: see video demonstration.

M&B Nexus Download. (Archive of old versions, too)

The installer will create a new 'merged' Diplo+PBOD installation, adding the most recent Pre-Battle Orders & Deployment, which requires Warband Script Enhancer 2.6.2 (included in the installer). Simply run the game through the desktop shortcut the installer creates.

If running Warband 1.15x, you will also need to download the 1.15x "compatibility patch" and install that after installing Diplo+PBOD.





Old Information

Archive on M&B Nexus:  http://www.nexusmods.com/mountandblade/mods/2468
Current Version mirror on M&B Repository: http://www.mbrepository.com/file.php?id=2468
MediaFire archive/mirrors:
Diplomacy 4.2 + v0.96.3 (1.15x compatibility patch)
Diplomacy 4.2 + v0.95
Diplomacy 4.2 + v0.92
Diplomacy 4.2 + v0.91
Diplomacy 4.1 + v0.90.1
Diplomacy 3.3.2 + v0.88-B
Diplomacy 3.3.2 + PBOD v0.85/0.86
Malik Faris said:
Companions .97 + Diplomacy 3.3.2 + Pre-Battle Orders & Deployment 0.85/0.86: M&B Repository Download
Current is included in the installer.
ModMerger kit (4.2+0.95.7): M&B Nexus Download.
Full Module System (4.1+0.90.1): M&B Nexus Download.
The below require Diplomacy to be installed already, but you do not need the PBOD stand-alone installer or to have it installed separately.

Installation Instructions:
To Install Over Diplomacy...
1) Unzip into your ...Warband\Modules\Diplomacy\ folder.
2) Play!

To Install in Addition to Diplomacy...
1) Make a copy of your ...Warband\Modules\Diplomacy\ folder.
2) Rename it something obvious/you'll remember (e.g. Diplo+PBOD)
3) Unzip these files into your new/copied folder
4) Make a copy of your ...\Documents\Mount&Blade Warband Savegames\Diplomacy\ folder
5) Rename it to whatever you named the \Modules\ folder
6) Play!

NOTE:
This can be installed over Diplomacy + Pike & Blade without conflict.
It should also be able to be installed over the now-updated Diplomacy + OSP Items without conflict.

Instructions for Use with Floris Basic v2.4
1) Install Diplomacy
2) Make a copy of your ...Warband\Modules\Diplomacy\ folder.
3) Rename it something obvious/you'll remember (e.g. Diplo+PBOD)
4) Copy the files/folders from Floris Basic v2.4 download's "Native" folder (so the Resource and Textures folders, etc) into this new folder you created (Diplo+PBOD or whatever) say "yes" to replace whenever prompted
5) Download Diplo+PBOD for use with Floris Basic and unzip the contents into this same folder, overwriting/replacing as necessary.
6) Play!
 

Robis

Knight
WB
Best answers
0
awesome.. i hope it will work with diplo + osp items too. Beacause i'm going to try it :grin:
 

Kabal

Recruit
Best answers
0
great! this is finally a must have and USEFUL mod. i like it to see how this game is growing to real game!
 

Caba`drin

Count
M&BWBWF&SNWVC
Best answers
0
Alex Dragon said:
Does this work with diplo + osp items ????? (i mean the newest version diplo and osp )
No, it won't work because the current version of Diplo + OSP Items uses Diplomacy version 3.1, not 3.3.2. There would likely be code errors if you tried to combine them.

If you want to use this with more items, I'd suggest installing Diplomacy, then adding this + PBOD, and then applying the Floris Basic Mod Pack (which includes the OSP items), as described in the opening post of this thread.
 

KnightofPhoenix

Recruit
Best answers
0
It's excellent! But how do I sign trade / defensive / alliance agreements? I tried sending an emissary after signing a truce, but the option wasn't there.
 

Caba`drin

Count
M&BWBWF&SNWVC
Best answers
0
It would appear that this is now compatible with Diplomacy + OSP Items, too, as it has been updated to Diplomacy 3.3.2.

manekemaan said:
is this compatible with the many companions mod?
No. Unlike +Pike & Blade, I don't believe the companion mod uses the most current version of Diplomacy or Warband (even though the thread says it was updated to 1.134, the files don't appear to be). Additionally, it might edit some of the same files that PBOD does.

You'd need to merge the Diplomacy + Many Companions source with PBOD's source to get them to work.

KnightofPhoenix said:
It's excellent! But how do I sign trade / defensive / alliance agreements? I tried sending an emissary after signing a truce, but the option wasn't there.
There was no option to send the emissary? That's strange, I didn't edit any of Diplomacy's code. I just added mine. You installed +PBOD over Diplomacy, right? And you're using a real minister, not the "local nobleman"?
 

KnightofPhoenix

Recruit
Best answers
0
Caba`drin said:
KnightofPhoenix said:
It's excellent! But how do I sign trade / defensive / alliance agreements? I tried sending an emissary after signing a truce, but the option wasn't there.
There was no option to send the emissary? That's strange, I didn't edit any of Diplomacy's code. I just added mine. You installed +PBOD over Diplomacy, right? And you're using a real minister, not the "local nobleman"?
I can send emissaries. But I only have the option to sign a non-aggression treaty, threaten with war, send gifts, send my regards to a monarch and declare war. I figured maybe the other options show up once I make a truce. They didn't.

And yes I did install it over Diplomacy.
And my head minister is my character's wife (maybe that's the problem?).

I have 1300+ renown, 99 right to rule, 99 honor and max relationship with the kingdom of Nords. Made a truce with them, and I still didn't' get the option to expand upon it. When I send their king my regards, he omits titles and doesn't recognize me as king. Is that the problem?
I have max right to rule and max relation with the kingdom, what more could he want?

Thanks.
 

Caba`drin

Count
M&BWBWF&SNWVC
Best answers
0
@Knight

No problem with what you just described. That's how 'normal' Diplomacy would work, too.
You need to sign a non-aggression treaty before you can sign any other agreements. And to be able to sign a non-aggression treaty, you need to have been recognized by the Kingdom in question.

If you've further questions about this process--such as how to become recognized--search the rest of the Diplomacy forum. This is working correctly.
 

KnightofPhoenix

Recruit
Best answers
0
Caba`drin said:
@Knight

No problem with what you just described. That's how 'normal' Diplomacy would work, too.
You need to sign a non-aggression treaty before you can sign any other agreements. And to be able to sign a non-aggression treaty, you need to have been recognized by the Kingdom in question.

If you've further questions about this process--such as how to become recognized--search the rest of the Diplomacy forum. This is working correctly.
I was able to sign a non-aggression treaty, no prob with that. But I have no option to establish a trade accord, defense pact or alliance after making the truce.

I'll check the forum more. Thanks.
 

Narduiran

Sergeant at Arms
M&BWBWF&S
Best answers
0
I installed PBOD over my diplomacy and it works pretty fine except for one thing. It seems that all Calradia's patrols belong to me regardless of their faction. When a patrol is defeated, I get the 'one of your faction was defeated' message, and they also appear in my budget.

BTW, in the same savegame, before I added PBOD, the patrols worked fine.
 

Caba`drin

Count
M&BWBWF&SNWVC
Best answers
0
Narduiran said:
I installed PBOD over my diplomacy and it works pretty fine except for one thing. It seems that all Calradia's patrols belong to me regardless of their faction. When a patrol is defeated, I get the 'one of your faction was defeated' message, and they also appear in my budget.

BTW, in the same savegame, before I added PBOD, the patrols worked fine.
Was the savegame from the most up-to-date version of Diplomacy?
From an exchange in the bug report thread, this patrol issue is due to savegames from pre-3.3.2 versions of Diplomacy upgrading to 3.3.2, as the code tracking patrols changed slightly. +PBOD is added to Diplomacy's code, but doesn't change any of it...so it doesn't make sense that this would happen, unless you hadn't upgraded your version of Diplomacy before applying +PBOD.

If you had, I'll take another look...but my gut says this should be a Diplomacy version issue. All new patrols will be correctly labeled, but until the old ones die off, there will be issues.